--[[
	MetaGuildInfo.lua
		All Functions for displaying and updating the Guild Roster
--]]
local MG = LibStub('AceAddon-3.0'):GetAddon('MetaGuild')
local L = LibStub("AceLocale-3.0"):GetLocale("MetaGuild");
local self = MG


function MetaGuildInfoFrame_OnLoad(self)

end

function MetaGuildInfoFrame_OnEvent(self, event, ...)
	if ( not self:IsShown() ) then
		return;
	end
end

function MetaGuildInfoFrame_OnShow(widget)
	--Update the main info
	MetaGuildInfo_Update()
	
	MetaGuildInfoFrameMotdTextTitle:SetText(L["Info/MotD"])
	MetaGuildInfoFrameEditMotdButton:SetText(L["Edit"])
	
	MetaGuildInfoFrameInfoTextTitle:SetText(L["Info/Info"])
	MetaGuildInfoFrameEditInfoButton:SetText(L["Edit"])
	

	MetaGuildInfoFrameAddMemberButton:SetText(L["Info/Add_Member"])
	MetaGuildInfoFrameViewLogButton:SetText(L["Info/View_Log"])
	MetaGuildInfoFrameGuildControlButton:SetText(L["Info/Guild_Control"])	

	MetaGuildInfoFrameVersionText:SetText(format(L["Info/Version"], self.db.realm.version))
	
	
	
	--self:Print("Offset Type: "..type(self.db.realm.timeOffset))
	--	self.db.realm[editType].time = self:GetTimeCode()
	--	self.db.realm[editType].author = self.db.realm.main
	
	--Display Motd Edit Button?
	if self:CanEditMotdText() then
		MetaGuildInfoFrameEditMotdButton:Show()
	else
		MetaGuildInfoFrameEditMotdButton:Hide()
	end
	
	
	--> Enable / Disable the Log and its button <--
	if (self.db.profile.logEnabled)  then
		MetaGuildInfoFrameViewLogButton:Enable()
	else
		MetaGuildInfoFrameViewLogButton:Disable()
	end

end

function MetaGuildGuildFrame_OnShow(widget)
	MetaGuildGuild_Update()
end

function MetaGuildInfo_Update()
	--Update the MotD

	MetaGuildInfoFrameMotdText:SetText(self.db.realm.motd.text)
	
	--Update the Info
	MetaGuildInfoFrameInfoText:SetText(self.db.realm.info.text)
	--MetaGuildInfoFrameInfoText:SetText(L["TempText"])
	
end

function MG:CanEditMotdText()
	local name = UnitName("player")
	local rank = self:GetRank(name)

	--This will only allow Guild Masters to update the mission text.
	if rank ~= nil and rank >= 2 then -- Rank 2 is an Officer, Rank 3 is Guild Master
		return true
	else
		return false
	end
end

